import 'package:dio/adapter.dart';
import 'package:dio/dio.dart';
import 'package:dio_firebase_performance/dio_firebase_performance.dart';

void setDioClientImpl(Dio dio) {
  dio.interceptors.add(DioFirebasePerformanceInterceptor());

  ///忽略SSL证书认证
  (dio.httpClientAdapter as DefaultHttpClientAdapter).onHttpClientCreate =
      (client) {
    client.badCertificateCallback = (_, __, ___) => true;
    return client;
  };
}
